Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class DCTypes

    java.lang.Object
      com.hp.hpl.jena.vocabulary.DCTypes

    public class DCTypes

extends java.lang.Object

Vocabulary definitions from vocabularies/dublin-core_types.xml

Author:
  Auto-generated by schemagen on 13 May 2003 08:53

Field Summary
`static Resource` | `Collection` A collection is an aggregation of items.
`static Resource` | `Dataset` A dataset is information encoded in a defined structure (for example, lists, tables, and databases), intended to be useful for direct machine processing.
`static Resource` | `Event` An event is a non-persistent, time-based occurrence.
`static Resource` | `Image` An image is a primarily symbolic visual representation other than text.
`static Resource` | `InteractiveResource` An interactive resource is a resource which requires interaction from the user to be understood, executed, or experienced.
`static Resource` | `NAMESPACE` The namespace of the vocabalary as a resource
`static java.lang.String` | `NS` The namespace of the vocabalary as a string ("http://purl.org/dc/dcmitype/")
`static Resource` | `PhysicalObject` An inanimate, three-dimensional object or substance.
`static Resource` | `Service` A service is a system that provides one or more functions of value to the end-user.
`static Resource` | `Software` Software is a computer program in source or compiled form which may be available for installation non-transiently on another machine.
`static Resource` | `Sound` A sound is a resource whose content is primarily intended to be rendered as audio.
`static Resource` | `Text` A text is a resource whose content is primarily words for reading.

Constructor Summary
`DCTypes()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabalary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabalary as a string ("http://purl.org/dc/dcmitype/")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabalary as a resource

### Collection

    public static final Resource Collection

  A collection is an aggregation of items. The term collection means that the resource is described as a group; its parts may be separately described and navigated.

### Dataset

    public static final Resource Dataset

  A dataset is information encoded in a defined structure (for example, lists, tables, and databases), intended to be useful for direct machine processing.

### Event

    public static final Resource Event

  An event is a non-persistent, time-based occurrence. Metadata for an event provides descriptive information that is the basis for discovery of the purpose, location, duration, responsible agents, and links to related events and resources. The resource of type event may not be retrievable if the described instantiation has expired or is yet to occur. Examples - exhibition, web-cast, conference, workshop, open-day, performance, battle, trial, wedding, tea-party, conflagration.

### Image

    public static final Resource Image

  An image is a primarily symbolic visual representation other than text. For example - images and photographs of physical objects, paintings, prints, drawings, other images and graphics, animations and moving pictures, film, diagrams, maps, musical notation. Note that image may include both electronic and physical representations.

### InteractiveResource

    public static final Resource InteractiveResource

  An interactive resource is a resource which requires interaction from the user to be understood, executed, or experienced. For example - forms on web pages, applets, multimedia learning objects, chat services, virtual reality.

### Service

    public static final Resource Service

  A service is a system that provides one or more functions of value to the end-user. Examples include: a photocopying service, a banking service, an authentication service, interlibrary loans, a Z39.50 or Web server.

### Software

    public static final Resource Software

  Software is a computer program in source or compiled form which may be available for installation non-transiently on another machine. For software which exists only to create an interactive environment, use interactive instead.

### Sound

    public static final Resource Sound

  A sound is a resource whose content is primarily intended to be rendered as audio. For example - a music playback file format, an audio compact disc, and recorded speech or sounds.

### Text

    public static final Resource Text

  A text is a resource whose content is primarily words for reading. For example - books, letters, dissertations, poems, newspapers, articles, archives of mailing lists. Note that facsimiles or images of texts are still of the genre text.

### PhysicalObject

    public static final Resource PhysicalObject

  An inanimate, three-dimensional object or substance. For example -- a computer, the great pyramid, a sculpture. Note that digital representations of, or surrogates for, these things should use Image, Text or one of the other types.

Constructor Detail

### DCTypes

    public DCTypes()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabalary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP